Uptimeify Docs

DNS Monitore auflisten

Listet DNS-Monitore einer Organisation (mit Pagination) auf.

GET /api/dns-monitors

Jedes Item enthält nur den DNS-Monitor selbst und bettet keinen vollständigen Kunden-Datensatz ein.

Query Parameter

  • organizationId (optional): Standard ist deine Session-Organisation
  • customerId (optional)
  • search (optional)
  • page (optional, Default 1)
  • perPage (optional, Default 50, max 200)

Beispiel (cURL)

BASE_URL="https://uptimeify.io"
TOKEN="<dein-api-token>"

curl -X GET \
  "$BASE_URL/api/dns-monitors?organizationId=1&page=1&perPage=50" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Accept: application/json"

Beispiel-Antwort

{
  "items": [
    {
      "id": 5,
      "publicId": "79fbe9b0-f9c6-4026-86de-1dbebc84d9bb",
      "organizationId": 2,
      "customerId": 2,
      "customerName": "Zaskoku & Haupt GbR",
      "name": "Primary DNS Monitor",
      "hostname": "claas.sh",
      "checkInterval": 30,
      "timeoutSeconds": 30,
      "dnsConfig": {},
      "allowedCheckCountryCodes": null,
      "status": "active",
      "notificationPhoneNumber": null,
      "notificationEmail": null,
      "lastCheckedAt": "2026-04-03T14:54:56.561Z",
      "createdAt": "2026-04-03T14:54:56.383Z",
      "updatedAt": "2026-04-03T14:54:56.740Z"
    }
  ],
  "total": 0,
  "page": 1,
  "perPage": 50
}

"total": 0, "page": 1, "perPage": 50 }

Auf dieser Seite